#include <sys/time.h>
#include <sys/resource.h>

#ifndef TBX_TIMER_H
#define TBX_TIMER_H

struct tbx_timer
{
   struct rusage usage_start;
   struct rusage usage_stop;

   long total_sec;
   long total_usec;
};

typedef struct tbx_timer tbx_timer;

#endif

tbx_timer *new_tbx_timer();
void free_tbx_timer(tbx_timer *Timer);

void tbx_timer_start(tbx_timer *Timer);
void tbx_timer_stop(tbx_timer *Timer);
void tbx_timer_reset(tbx_timer *Timer);

void compute_time(tbx_timer *Timer);
void print_time(tbx_timer *Timer);

